> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/indy-racing.md).

# Indy racing

Indy racing is organized into a stage structure. Once the id of the sport is retrieved thanks to the "All Sport" end point then it is possible to retrieve all the available stages thanks to the "All available tournaments for a sport" end point.

The answer of the end point is shown below and provides 4 different stages which identify the main tournaments related to Indy stages.

```xml
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
  <sport_tournaments xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
generated_at="2021-10-13T13:10:19+00:00" xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/ufsportsapi/v1/endpoints/unified/ufsportsapi.xsd">
    <sport id="sr:sport:129" name="Indy Racing"/>
    <tournaments>
      <tournament id="sr:stage:576235" name="Indycar 2020" scheduled="2020-06-04T00:00:00+00:00" scheduled_end="2020-10-25T23:00:00+00:00">
        <sport id="sr:sport:129" name="Indy Racing"/>
        <category id="sr:category:453" name="Indycar"/>
      </tournament>
      <tournament id="sr:stage:587565" name="Indy Lights 2020" scheduled="2020-06-19T12:05:00+00:00" scheduled_end="2020-10-25T18:00:00+00:00">
        <sport id="sr:sport:129" name="Indy Racing"/>
        <category id="sr:category:1812" name="Indy Lights"/>
      </tournament>
      <tournament id="sr:stage:660732" name="Indycar 2021" scheduled="2021-04-17T15:00:00+00:00" scheduled_end="2021-09-26T23:00:00+00:00">
        <sport id="sr:sport:129" name="Indy Racing"/>
        <category id="sr:category:453" name="Indycar"/>
      </tournament>
      <tournament id="sr:stage:671516" name="Indy Lights 2021" scheduled="2021-04-15T20:30:00+00:00" scheduled_end="2021-10-03T23:55:00+00:00">
        <sport id="sr:sport:129" name="Indy Racing"/>
        <category id="sr:category:1812" name="Indy Lights"/>
      </tournament>
    </tournaments>
  </sport_tournaments>

```

In case more detailed info is needed for each stage 671516, several different end points are available in order to retrieve it.

For example, we can take into consideration the stage and use the "Schedule for a tournament" end point getting the following results:

```xml
<?xml version="1.0" encoding="UTF-8"?>
  <race_schedule xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" generated_at="2021-10-13T13:17:14+00:00" xmlns="http://schemas.sportradar.com/sportsapi/v1/unified" 
xsi:schemaLocation="http://schemas.sportradar.com/sportsapi/v1/unified http://schemas.sportradar.com/bsa/unified/v1/xml/endpoints/unified/race_schedule.xsd">
    <tournament id="sr:stage:671516" scheduled="2021-04-15T20:30:00+00:00" scheduled_end="2021-10-03T23:55:00+00:00" name="Indy Lights 2021">
      <sport id="sr:sport:129" name="Indy Racing"/>
      <category id="sr:category:1812" name="Indy Lights"/>
    </tournament>
    <sport_events>
      <sport_event id="sr:stage:692216" scheduled="2021-04-15T20:30:00+00:00" scheduled_end="2021-04-17T19:15:00+00:00" name="Grand Prix of Alabama Race 1" type="parent"/>
      <sport_event id="sr:stage:692848" scheduled="2021-04-16T19:00:00+00:00" scheduled_end="2021-04-18T17:20:00+00:00" name="Grand Prix of Alabama Race 2" type="parent"/>
      <sport_event id="sr:stage:671518" scheduled="2021-04-23T14:25:00+00:00" scheduled_end="2021-04-24T20:05:00+00:00" name="Grand Prix of St. Petersburg 1" type="parent"/>
      <sport_event id="sr:stage:672150" scheduled="2021-04-23T21:25:00+00:00" scheduled_end="2021-04-25T14:50:00+00:00" name="Grand Prix of St. Petersburg 2" type="parent"/>
      <sport_event id="sr:stage:672782" scheduled="2021-05-13T20:00:00+00:00" scheduled_end="2021-05-15T19:10:00+00:00" name="Grand Prix of Indianapolis 1" type="parent"/>
      <sport_event id="sr:stage:672814" scheduled="2021-05-15T12:55:00+00:00" scheduled_end="2021-05-15T17:45:00+00:00" name="Grand Prix of Indianapolis 2" type="parent"/>
      <sport_event id="sr:stage:674046" scheduled="2021-06-11T14:20:00+00:00" scheduled_end="2021-06-12T17:00:00+00:00" name="Detroit Grand Prix 1" type="parent"/>
    </sport_events>
```

For more detailed info related to the stages, fixture end point or summary end point can be used filtering by stage.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api-stage-structure/indy-racing.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
